centos 7 安装配置python3.6

系统运维 waitig 574℃ 百度已收录 0评论

1.先安装一些我遇到的依赖问题(如果有依赖问题按提示安装):

yum install gcc zlib zlib-devel
yum install sqlite-devel

2.官网下载源码包

官网:https://www.python.org/
点击下载

3.解压文件

tar -xvf Python-3.6.3.tgz

4.进入文件目录

cd Python-3.6.3

5.开始安装编译

./configure --prefix=/usr/python3.6
make
make install

6.让centos7 系统默认使用python3.6

cd /usr/bin/
mv python python.bak
ln -s /usr/python3.6/bin/python3 /usr/bin/python
[root@python-ex bin]# python
Python 3.6.1 (default, May 25 2017, 20:20:35) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-11)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>

7.兼容性设置

因为yum使用的是python2,替换python3之后可能导致无法正常工作,继续使用这个python2.7.5因为yum使用python2,因此替换为python3后可能无法正常工作,继续使用这个python2.7.5
因此修改yum配置文件:

vim /usr/bin/yum

把文件头部的#!/usr/bin/python改成#!/usr/bin/python2保存退出即可
如果出现以下错误:

File "/usr/libexec/urlgrabber-ext-down", line 28
    except OSError, e:
                  ^
SyntaxError: invalid syntax

解决办法是修改

vim /usr/libexec/urlgrabber-ext-down

/usr/bin/python改为/usr/bin/python2


转自:https://www.cnblogs.com/cloud-80808174-sea/p/6902934.html


本文由【waitig】发表在等英博客
本文固定链接:centos 7 安装配置python3.6
欢迎关注本站官方公众号,每日都有干货分享!
等英博客官方公众号
点赞 (0)分享 (0)